if($BrickTime::Loaded)
   return;
   
if(isObject($BrickTime::GuiEdit))
   $BrickTime::GuiEdit.delete();
   
$BrickTime::GuiEdit = new GuiTextCtrl(lblBrickTime) {
                           profile = "GuiTextProfile";
                           horizSizing = "right";
                           vertSizing = "bottom";
                           position = "70 354";
                           extent = "152 18";
                           minExtent = "8 2";
                           visible = "1";
                           text = "\c5Brick Creation Time is Unknown";
                           maxLength = "255";
                        };

Wrench_Window.add($BrickTime::GuiEdit);

package BrickUpdateTimeClient {
   
   function wrenchDlg::onSleep(%this)
   {
      clientCmdUpdateBrickTime("\c5Brick Creation Time is Unknown");
      cancel($BrickTime::AjaxType);
      parent::onSleep(%this);
   }
   
   function wrenchDlg::onWake(%this)
   {
      Brick_Client_AjaxType();
      parent::onWake(%this);
   }
};

activatePackage(BrickUpdateTimeClient);

function Brick_Client_AjaxType()
{
   commandtoserver('Brick_AjaxType');
   $BrickTime::AjaxType = schedule(1000, 0, Brick_Client_AjaxType);
}

function clientCmdUpdateBrickTime(%time)
{
   // lol no more fontz for j00!
   %time = StripMLControlChars(%time);
   
   lblBrickTime.setValue("\c5" @ %time);
}
   
$BrickTime::Loaded = true;